## xtrx-dkms 0.0.1+git20190320.5ae3a3e

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(xtrx-pcie-linux-driver NONE)

# Set the version information here
set(MAJOR_VERSION 0)
set(API_COMPAT    0)
set(MINOR_VERSION 1)
set(MAINT_VERSION 2)

set(LIBVER  "${MAJOR_VERSION}.${API_COMPAT}.${MINOR_VERSION}")
set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "all")

########################################################################
# package generator
########################################################################
if(NOT CPACK_GENERATOR)
    set(CPACK_GENERATOR DEB)
endif()
set(CPACK_PACKAGE_NAME                "xtrx-pcie-linux-driver")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "XTRX PCIe kernel dkms driver")
set(CPACK_PACKAGE_VENDOR              "Fairwaves, Inc.")
set(CPACK_PACKAGE_CONTACT             "http://fairwaves.co/wp/contact-us/")
set(CPACK_PACKAGE_VERSION             ${LIBVER}-${MAINT_VERSION})
set(CPACK_DEBIAN_PACKAGE_DEPENDS      "linux-headers-generic (>= 4.4.0), dkms")

set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")
set(CPACK_SET_DESTDIR               "")
set(CPACK_PACKAGING_INSTALL_PREFIX  "/usr")
set(CPACK_PACKAGE_CONTACT           "Sergey Kostanbaev <sergey.kostanbaev@fairwaves.co>")

#########################################################################
# DKMS intallation
#########################################################################
set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_CURRENT_SOURCE_DIR}/debian/postinst;${CMAKE_CURRENT_SOURCE_DIR}/debian/prerm;" )

set(DKMSVER "${LIBVER}-${MAINT_VERSION}")
install(FILES Makefile dkms.conf xtrx.c xtrx_defs.h  DESTINATION "src/xtrx-${DKMSVER}" COMPONENT xtrx-drv)
install(FILES xtrxll_regs.vh DESTINATION "src/xtrx-${DKMSVER}" COMPONENT xtrx-drv)

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for xtrx-drv" OFF)
if (INSTALL_UDEV_RULES)
    set(UDEV_RULES_PATH
        "/etc/udev/rules.d"
        CACHE STRING
        "Target directory for udev rule installation. Ensure you have permissions to write to this directory."
        )
    install (
        FILES 50-xtrx.rules
        DESTINATION ${UDEV_RULES_PATH}
        COMPONENT "xtrx-drv"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

include(CPack) #include last

=== Makefile ===
ifneq ($(KERNELRELEASE),)

obj-m += xtrx.o

else

KERNELDIR ?= /lib/modules/$(shell uname -r)/build

modules modules_install clean::
	make -C $(KERNELDIR) M=$(PWD) $@

clean::
	rm -f *.o Module.markers modules.order

endif

=== debian/changelog ===
xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Declare Rules-Requires-Root: no.
  * Simplify d/rules.
  * Omit the Debian revision from the dkms module version.
  * dkms.conf: Set BUILD_EXCLUSIVE_CONFIG="CONFIG_PCI".
  * dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="3.18" for pgprot_device().

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Feb 2025 19:00:34 +0100

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dkms build failure with kernel 6.10 (Closes: #1077678)
    - add debian/patches/0005-xtrx.c-fix-build-error-with-kernel-6.10.patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 30 Sep 2024 09:55:05 +0700

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move udev rules into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:11:59 +0200

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dkms build failure with kernel 6.4 (Closes: #1041307)
    - add debian/patches/0004-xtrx.c-fix-build-error-with-kernel-6.4.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 01 Aug 2023 00:08:42 +0800

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dkms build failure with kernel 6.3 (Closes: #1038003)
    - add debian/patches/0003-xtrx.c-fix-build-error-with-kernel-6.3.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 24 Jun 2023 04:22:04 +0800

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dkms build failure with kernel 6.1 (Closes: #1029135)
    - add debian/patches/0002-xtrx.c-fix-build-error-with-kernel-6.1.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 21 Jan 2023 03:20:02 +0800

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dkms build failure (Closes: #1012616)
    - Add 0001-xtrx-fix-PCI-DMA-allow-free-with-kernel-5.18.patch
    - This patch is from the upstream commit 1262071c467391cd.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 17 Nov 2022 13:30:42 +0800

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

 -- Christoph Berg <myon@debian.org>  Sat, 04 Jun 2022 13:12:14 +0200

xtrx-dkms (0.0.1+git20190320.5ae3a3e-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Christoph Berg <myon@debian.org>  Mon, 25 Jan 2021 13:09:59 +0100

xtrx-dkms (0.0.1+git20190320.5ae3a3e-1) unstable; urgency=medium

  * Initial release (Closes: #945156)

 -- Sepi Gair <sepigair@email.cz>  Mon, 13 Apr 2020 19:12:14 +0200

=== debian/control ===
Source: xtrx-dkms
Section: kernel
Priority: optional
Maintainer: Sepi Gair <sepigair@email.cz>
Build-Depends: debhelper-compat (= 12), dh-sequence-dkms,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/xtrx-sdr/xtrx_linux_pcie_drv
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/xtrx-dkms
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/xtrx-dkms.git
Testsuite: autopkgtest-pkg-dkms

Package: xtrx-dkms
Architecture: all
Depends: ${misc:Depends}
Description: XTRX PCI driver for Linux
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains the source for the XTRX kernel module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=none

execute_after_dh_install:
	dh_install \
		Makefile \
		xtrx.c \
		xtrx_defs.h \
		xtrxll_regs.vh \
		usr/src/xtrx-$(DEB_VERSION_UPSTREAM)

override_dh_installudev:
	dh_installudev --priority=50

=== debian/watch ===
version=4
opts=mode=git,pretty=0.0.1+git%cd.%h, \
 https://github.com/xtrx-sdr/xtrx_linux_pcie_drv.git \
 heads/master debian
